Namespace Database.Base
    Public Class SearchParams
        Enum OrderTypeEnum
            None
            Desc
            Asc
        End Enum

        ''' <summary>
        ''' 查询条件的表名
        ''' </summary>
        ''' <returns></returns>
        Public Property TableName() As String

        ''' <summary>
        ''' 当IsSearchAllCols = False时,查询返回列名集合
        ''' </summary>
        ''' <returns></returns>
        Public Property SearchColNames() As String()

        ''' <summary>
        ''' 查询的条件
        ''' </summary>
        ''' <returns></returns>
        Public Property SearchCondition() As List(Of SearchCondition)

        ''' <summary>
        ''' 排序方式
        ''' </summary>
        ''' <returns></returns>
        Public Property OrderType As OrderTypeEnum = OrderTypeEnum.None

        ''' <summary>
        ''' 但需要排序时排序列名
        ''' </summary>
        ''' <returns></returns>
        Public Property OrderColName() As String


        ''' <summary>
        ''' 从返回结果提取指定行的内容
        ''' </summary>
        ''' <returns></returns>
        Public Property Limit() As Integer = 0
    End Class
End Namespace